<ion-list *transloco="let t" class="flex-list-subsections">
  <div *ngFor="let group of menuItemGroups" class="flex-list-menu-buttons">
    <h2 class="category-header">{{ t(group.category) }}</h2>
    <div *ngFor="let menuItem of group.menuItems">
      <a
        [routerDirection]="'forward'"
        [routerLink]="[menuItem.baseRoutingPath]"
        class="label-checkbox-container flex-list-minor-min"
      >
        <lib-general-icon
          [color]="iconColor.mainForeground"
          [name]="menuItem.icon"
          [size]="iconFontSize.large"
          [type]="iconType.materialSymbolsOutlined"
          class="menu-item-icon"
        ></lib-general-icon>
        <ion-label class="menu-item-title">{{ t(menuItem.title) }}</ion-label>
        <div class="flexible-line"></div>
        <lib-general-icon
          [size]="iconFontSize.medium"
          [type]="iconType.materialSymbolsOutlined"
          name="arrow_forward_ios"
        ></lib-general-icon>
      </a>
    </div>
  </div>
</ion-list>
